/*
  ******************************************************************************
  * Copyright (c)  2008 - 2022, Shanghai AisinoChip Co.,Ltd .
  * @file    APP.h 
  * @version V1.0.0
  * @date    2022
  * @author  Aisinochip Firmware Team  
  * @brief   UART demo Header code.
  ******************************************************************************        
*/
#ifndef __APP_H__
#define __APP_H__

#include "ACM32Fxx_HAL.h"

#define	config_BTPHY_UART			UART1

#define __UNUSED(x)                             ((void)x)

void BLE_Master_Config(void);
void BLE_Slave_Config(void);
void BLE_Init(void);
void BLE_Test(void);
void BLE_Sleep_Config(uint8_t mode);
void BLE_Sleep_Test(void);

#endif
