#ifndef		__BSP_UART_H__
#define		__BSP_UART_H__

#include "ACM32Fxx_HAL.h"
#include "ringbuf.h"

#define	UART_RECV_DATA_BUFFER_SIZE	512

extern RingBufferTypeDef	UART3_Dat;
extern RingBufferTypeDef	UART2_Dat;
extern RingBufferTypeDef	UART1_Dat;

uint8_t bsp_uart_init(UART_TypeDef *UARTx, uint32_t baud, uint8_t debug);
uint32_t bsp_uart_send(UART_TypeDef *UARTx, uint8_t *buf, uint32_t length, uint32_t timeout);

void bsp_uart_rece_test(UART_TypeDef *UARTx, RingBufferTypeDef	*UARTx_Dat);

#endif
