#ifndef	__LOGGER_H__
#define	__LOGGER_H__

#define		LOG_SWITCH		1


#if	LOG_SWITCH

#define		SYS_DEBUG
#define		UART_DEBUG
#define		BLE_DEBUG
#define		BTPHY_DEBUG

#endif	/*	LOG_SWITCH	*/

#ifdef SYS_DEBUG
    #define LOG_SYS    printf
#else
    #define LOG_SYS(format, ...)    ((void)0)
#endif

#ifdef UART_DEBUG
    #define LOG_UART    printf
#else
    #define LOG_UART(format, ...)    ((void)0)
#endif

#ifdef BLE_DEBUG
    #define LOG_BLE    printf
#else
    #define LOG_BLE(format, ...)    ((void)0)
#endif

#ifdef	BTPHY_DEBUG
	#ifdef	LOG_BTPHY
		#undef	LOG_BTPHY
	#endif
	#define	LOG_BTPHY		printf
	
#else
	#ifdef	LOG_BTPHY
		#undef	LOG_BTPHY
	#endif
	#define		LOG_BTPHY(format, ...)    ((void)0)
#endif


#endif		/*	__LOGGER_H__	*/








